<mat-sidenav-container>
  <mat-sidenav mode="side" opened>
    <ng-container *ngIf="currentUser">
      <img class="avatar" [src]="'./assets/avatars/' + currentUser.avatar" alt="current user">
      <h2>{{currentUser.userName}}</h2>
    </ng-container>
  </mat-sidenav>

  <mat-sidenav-content>
    <h1 #heading>Results</h1>

    <div *ngIf="game && game.gameManager && game.gameManager.gameManagerStates.length >= 0"
         [@listAnimation]="game.gameManager.gameManagerStates.length">
      <ng-container *ngFor="let round of rounds; index as roundIndex">
        <ng-container *ngIf="roundIndex % 2 === 0; else drawing">
          <p class="description">
            {{ game.gameManager.gameManagerStates[currentResult].descriptions[roundIndex] }}
          </p>
        </ng-container>
        <ng-template #drawing>
          <ng-container *ngIf="!game.gameManager.gameManagerStates[currentResult].drawings ||
            !game.gameManager.gameManagerStates[currentResult].drawings[roundIndex];
            else imageAvailable">
            <img [src]="emptyImage" alt="no image" class="resultImage">
          </ng-container>
          <ng-template #imageAvailable>
            <img [src]="game.gameManager.gameManagerStates[currentResult].drawings[roundIndex]"
                 class="resultImage"
                 alt="drawing result">
          </ng-template>

        </ng-template>
      </ng-container>
    </div>

    <button
      *ngIf="game && currentResult > 0"
      mat-stroked-button
      (click)="showPreviousResult(heading)">
      <mat-icon>chevron_left</mat-icon>
      Show previous result
    </button>
    <button
      *ngIf="game && currentResult < game.gameManager.gameManagerStates.length - 1"
      mat-stroked-button
      (click)="showNextResult(heading)">
      Show next result
      <mat-icon>chevron_right</mat-icon>
    </button>
    <div>
      <button
        mat-stroked-button
        *ngIf="isHost"
        (click)="leaveGame()">Leave game
      </button>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>






